package edu.mermet.buttonup.vues;

import edu.mermet.buttonup.modele.Partie;

import javax.swing.*;
import java.awt.*;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

public class PartieVue extends JPanel
{
    Partie partie;
    JLabel scoreRouge;
    JLabel scoreNoir;

    public PartieVue(Partie p)
    {
        this.partie = p;
        this.setLayout(new BorderLayout());
        scoreRouge = new JLabel(Integer.toString(partie.getScoreRouge()));
        scoreNoir = new JLabel(Integer.toString(partie.getScoreNoir()));

        this.add(scoreNoir, BorderLayout.WEST);
        this.add(scoreRouge, BorderLayout.EAST);

        ScoreEcouteurNoir ecouteur = new ScoreEcouteurNoir();
        ScoreEcouteurRouge ecouteurRouge = new ScoreEcouteurRouge();

        this.partie.addPropertyChangeListener("noir", ecouteur);
        this.partie.addPropertyChangeListener("rouge", ecouteurRouge);
    }

    public JLabel getScoreNoir()
    {
        return scoreNoir;
    }

    public JLabel getScoreRouge()
    {
        return scoreRouge;
    }

    class ScoreEcouteurNoir implements PropertyChangeListener
    {
        public void propertyChange(PropertyChangeEvent evt)
        {
            scoreNoir.setText(evt.getNewValue().toString());
        }
    }

    class ScoreEcouteurRouge implements PropertyChangeListener
    {
        public void propertyChange(PropertyChangeEvent evt)
        {
            scoreRouge.setText(evt.getNewValue().toString());
        }
    }


}
