package edu.mermet.buttonup.vues;

import edu.mermet.buttonup.modele.Bouton;
import edu.mermet.buttonup.modele.Pile;

import javax.swing.*;
import java.awt.*;
import java.util.List;

public class PileVue extends JComponent
{
    Pile pile;
    int numPile;

    public PileVue(Pile p, int numPile)
    {
        this.pile = p;
        this.numPile = numPile;
    }

    public Pile getPile()
    {
        return pile;
    }

    public int getNumPile()
    {
        return numPile;
    }

    public int getWidth()
    {
        return 50;
    }

    public int getHeight()
    {
        return 100;
    }

    public Dimension getPrefferedSize()
    {
        return new Dimension(getWidth(), getHeight());
    }

    public void paintComponent(Graphics g)
    {
        List<Bouton> list = this.pile.getList();
        int x = 0;
        int y = 75;
        Color couleur = Color.CYAN;
        for (Bouton b : list)
        {
            g.setColor(Color.BLACK);
            g.drawRect(x,y,10,10);

            switch (b.toString())
            {
                case "rouge":
                    couleur = Color.RED;
                    break;
                case "noir":
                    couleur = Color.BLACK;
                    break;
                case "blanc":
                    couleur = Color.WHITE;
                    break;
            }
            g.setColor(couleur);
            g.fillRect(x, y, 10, 10);
            y -= 10;
        }
    }
}

